Bug 487509 (CVE-2009-0581) - CVE-2009-0581 LittleCms memory leak
Summary: CVE-2009-0581 LittleCms memory leak
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-0581
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 487513 487514 491272 491273 491274 491703 491704 833922
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-02-26 13:48 UTC by Josh Bressers
Modified: 2019-09-29 12:28 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-29 09:26:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0339 normal SHIPPED_LIVE Moderate: lcms security update 2009-03-19 15:05:59 UTC
Red Hat Product Errata RHSA-2009:0377 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2009-04-07 18:36:36 UTC

Description Josh Bressers 2009-02-26 13:48:36 UTC
Chris Evans discovered a memory leak flaw in LittleCms. This flaw could cause applications that use the system LittleCms library, or embed the source into their application, to crash.

Acknowledgements:

Red Hat would like to thank Chris Evans from the Google Security Team for
reporting this issue.

Comment 4 Josh Bressers 2009-03-19 14:54:55 UTC
Lifting embargo

Comment 5 errata-xmlrpc 2009-03-19 15:06:01 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:0339 https://rhn.redhat.com/errata/RHSA-2009-0339.html

Comment 7 Fedora Update System 2009-03-20 18:03:15 UTC
lcms-1.18-0.1.beta2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/lcms-1.18-0.1.beta2.fc10

Comment 8 Fedora Update System 2009-03-20 18:05:03 UTC
lcms-1.18-0.1.beta2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/lcms-1.18-0.1.beta2.fc9

Comment 9 Tomas Hoger 2009-03-23 07:19:55 UTC
Chris Evans' and oCERT advisories:
  http://scary.beasts.org/security/CESA-2009-003.html
  http://www.ocert.org/advisories/ocert-2009-003.html

Comment 10 Fedora Update System 2009-03-23 09:59:37 UTC
lcms-1.18-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/lcms-1.18-1.fc10

Comment 11 Fedora Update System 2009-03-23 09:59:58 UTC
lcms-1.18-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/lcms-1.18-1.fc9

Comment 12 Fedora Update System 2009-03-23 15:50:58 UTC
lcms-1.18-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-03-23 15:52:04 UTC
lcms-1.18-0.1.beta2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2009-03-23 15:54:08 UTC
lcms-1.18-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2009-03-23 15:59:26 UTC
lcms-1.18-0.1.beta2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2009-03-24 05:29:24 UTC
java-1.6.0-openjdk-1.6.0.0-11.b14.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2009-03-24 05:29:46 UTC
java-1.6.0-openjdk-1.6.0.0-0.21.b09.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Jan Lieskovsky 2009-03-24 17:52:40 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2009-0581 to
this vulnerability:

Memory leak in LittleCMS (aka lcms or liblcms) before 1.18beta2, as
used in Firefox 3.1beta, OpenJDK, and GIMP, allows context-dependent
attackers to cause a denial of service (memory consumption and
application crash) via a crafted image file. 

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-0581
http://scary.beasts.org/security/CESA-2009-003.html
http://scarybeastsecurity.blogspot.com/2009/03/littlecms-vulnerabilities.html
http://www.securityfocus.com/bid/34185
http://xforce.iss.net/xforce/xfdb/49328

Comment 20 Fedora Update System 2009-03-25 16:11:16 UTC
java-1.6.0-openjdk-1.6.0.0-0.23.b09.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 errata-xmlrpc 2009-04-07 18:37:02 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:0377 https://rhn.redhat.com/errata/RHSA-2009-0377.html


Note You need to log in before you can comment on or make changes to this bug.